<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.home.HomeFragment">
    <ImageButton
        android:id="@id/recycle"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:src="@drawable/recycle"
        android:scaleType="centerInside"
        app:layout_constraintWidth_percent="0.25"
        app:layout_constraintHeight_percent="0.10"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toTopOf="@id/recycle_text"
        android:background="@drawable/button"
        />
    <TextView
        android:id="@+id/recycle_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="可回收垃圾"
        app:layout_constraintStart_toStartOf="@id/recycle"
        app:layout_constraintEnd_toEndOf="@id/recycle"
        app:layout_constraintTop_toBottomOf="@id/recycle"
        android:gravity="center" />
    <ImageButton
        android:id="@id/kitchen_garbage"
        android:src="@drawable/kitchen_garbage"
        android:scaleType="centerInside"
        app:layout_constraintWidth_percent="0.25"
        app:layout_constraintHeight_percent="0.10"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toTopOf="@id/kitchen_text"
        app:layout_constraintLeft_toRightOf="@id/recycle"/>
    <TextView
        android:id="@+id/kitchen_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="厨余垃圾"
        app:layout_constraintStart_toStartOf="@id/kitchen_garbage"
        app:layout_constraintEnd_toEndOf="@id/kitchen_garbage"
        app:layout_constraintTop_toBottomOf="@id/kitchen_garbage"
        android:gravity="center" />
    <ImageButton
        app:layout_constraintWidth_percent="0.25"
        app:layout_constraintHeight_percent="0.10"
        android:scaleType="centerInside"
        android:id="@id/other_garbage"
        android:src="@drawable/other_garbage"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toTopOf="@id/other_garbage_text"
        app:layout_constraintLeft_toRightOf="@id/kitchen_garbage"/>
    <TextView
        android:id="@+id/other_garbage_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="其他垃圾"
        app:layout_constraintStart_toStartOf="@id/other_garbage"
        app:layout_constraintEnd_toEndOf="@id/other_garbage"
        app:layout_constraintTop_toBottomOf="@id/other_garbage"
        android:gravity="center" />
    <ImageButton
        app:layout_constraintWidth_percent="0.25"
        app:layout_constraintHeight_percent="0.10"
        android:scaleType="centerInside"
        android:id="@id/hazardous_waste"
        android:src="@drawable/hazardous_waste"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toTopOf="@id/hazardous_waste_text"
        app:layout_constraintLeft_toRightOf="@id/other_garbage"/>
    <TextView
        android:id="@+id/hazardous_waste_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="有害垃圾"
        app:layout_constraintStart_toStartOf="@id/hazardous_waste"
        app:layout_constraintEnd_toEndOf="@id/hazardous_waste"
        app:layout_constraintTop_toBottomOf="@id/hazardous_waste"
        android:gravity="center" />

    <FrameLayout
        android:id="@+id/content_container"
        android:layout_width="408dp"
        android:layout_height="575dp"
        android:background="@android:color/transparent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/hazardous_waste_text" />

</androidx.constraintlayout.widget.ConstraintLayout>